View Issue Details

IDProjectCategoryView StatusLast Update
0001120DCP-o-matic[All Projects] Bugspublic2017-08-26 23:24
ReporterCarstenAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.11.0 
Target Version2.12.0Fixed in Version 
Summary0001120: Every second attempt (even reopening the same DCP) to load a DCP in standalone player crashes the player
DescriptionEvery second, third, etc. attempt (even reopening the same DCP) to load a DCP in standalone player crashes the player (2.11.19 OS X Sierra), with 'programming error at src/lib/film.cc:523.


- Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Cantar4

2017-08-25 08:38

reporter   ~0001779

It doesn’t crash on MacOS 10.12.5 ; after going through this warning, it for ever reopens
the first played DCP whatever the next selected one.
(PS: now that the tab bar can be permanently open, how can we use it?)

Carsten

2017-08-25 09:29

reporter   ~0001781

I would call a programming error at src/lib/film.cc:523. a crash. It happens on my Sierra/10.12.5 machine, and the second DCP is not loaded after the error pops up, the first stays in the player, so I have to quit the player to load a different DCP.

- Carsten

Cantar4

2017-08-25 09:36

reporter   ~0001783

same behaviour here, different calling ;-))

Any idea about the use of the tab bar?
--jp

carl

2017-08-25 23:24

administrator   ~0001784

Can this be reproduced just by doing File->Open twice with the same DCP?

Carsten

2017-08-25 23:31

reporter   ~0001787

Hi Carl, yes, the same error after opening the same DCP again.

Every time, the error window shows one more error message, e.g. after the third attempt, the window shows:

programming error at ../src/lib/film.cc:523
programming error at ../src/lib/film.cc:523
programming error at ../src/lib/film.cc:523

- Carsten

carl

2017-08-26 23:24

administrator   ~0001790

I think this is fixed by a5f9f8163ecb38a140cf623e141bea1d96866fe5.

Issue History

Date Modified Username Field Change
2017-08-24 13:38 Carsten New Issue
2017-08-25 08:38 Cantar4 Note Added: 0001779
2017-08-25 09:29 Carsten Note Added: 0001781
2017-08-25 09:36 Cantar4 Note Added: 0001783
2017-08-25 22:56 carl Target Version => 2.12.0
2017-08-25 23:24 carl Assigned To => carl
2017-08-25 23:24 carl Status new => feedback
2017-08-25 23:24 carl Note Added: 0001784
2017-08-25 23:31 Carsten Note Added: 0001787
2017-08-25 23:31 Carsten Status feedback => assigned
2017-08-26 23:24 carl Status assigned => resolved
2017-08-26 23:24 carl Resolution open => fixed
2017-08-26 23:24 carl Note Added: 0001790